Complete Shadbala
curl --request POST \
--url https://api.astrom8.com/api/v3/vedic/shadbala \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"birth_subject": {
"date": "2023-12-25",
"time": "<string>",
"latitude": 0,
"longitude": 0,
"timezoneOffsetMinutes": 0,
"ayanamsa": "lahiri"
},
"mercury_natures": {}
}
'import requests
url = "https://api.astrom8.com/api/v3/vedic/shadbala"
payload = {
"birth_subject": {
"date": "2023-12-25",
"time": "<string>",
"latitude": 0,
"longitude": 0,
"timezoneOffsetMinutes": 0,
"ayanamsa": "lahiri"
},
"mercury_natures": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
birth_subject: {
date: '2023-12-25',
time: '<string>',
latitude: 0,
longitude: 0,
timezoneOffsetMinutes: 0,
ayanamsa: 'lahiri'
},
mercury_natures: {}
})
};
fetch('https://api.astrom8.com/api/v3/vedic/shadbala', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"system": "<unknown>",
"ayanamsa": "<unknown>",
"result": {
"aggregate": {
"method": {
"ayana_profile": "<unknown>",
"cheshta_profile": "<unknown>",
"yuddha_profile": "<unknown>",
"luminary_allocation": "<unknown>",
"drik_profile": "<unknown>",
"nodes": "<unknown>"
},
"planets": [
{
"components_virupa": {
"sthana": {
"uchcha": 123,
"saptavargaja": 123,
"ojayugma": 123,
"kendradi": 123,
"drekkana": 123
},
"dig": 123,
"kala": {
"natonnata": 123,
"paksha": 123,
"tribhaga": 123,
"abda": 123,
"masa": 123,
"dina": 123,
"hora": 123,
"ayana": 123,
"yuddha": 123
},
"cheshta": 123,
"drik": 123
},
"family_totals_virupa": {
"sthana": 123,
"dig": 123,
"kala": 123,
"cheshta": 123,
"naisargika": 123,
"drik": 123
},
"total_virupa": 123,
"total_rupa": 123,
"required_virupa": 123,
"strength_ratio": 123
}
]
},
"context": {
"instant_utc": "2023-11-07T05:31:56Z",
"classifications": {
"mercury": {}
},
"kala": {},
"profiles": {}
},
"yuddha": {},
"drik": [
{}
]
},
"derivation": {
"instant_utc": "2023-11-07T05:31:56Z",
"astrological_date": "2023-12-25",
"third": 2,
"sunrise_utc": "2023-11-07T05:31:56Z",
"period_start_utc": "2023-11-07T05:31:56Z",
"period_end_utc": "2023-11-07T05:31:56Z",
"elapsed_minutes_since_astrological_sunrise": 123,
"nata_ghatis": 123,
"equation_of_time_minutes": 123,
"sun_time_method": "<unknown>",
"ayanamsa": "<unknown>"
}
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "unauthorized",
"message": "Invalid API key",
"code": "401",
"request_id": "01HQXYZ..."
}{
"error": "payment_required",
"message": "Insufficient credits for this request",
"code": "402",
"request_id": "01HQXYZ..."
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"request_id": "<string>"
}Vedic
Complete Shadbala
POST
/
api
/
v3
/
vedic
/
shadbala
Complete Shadbala
Authorizations
Use the raw API key as the Bearer token, or send X-API-Key instead.
Body
application/json
⌘I